using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    /// <summary>
    /// 表示回复归还药箱的类
    /// </summary>
    public class ResponseMedKitReturnProtocol : EleMedKitProtocol
    {
        public ResponseMedKitReturnProtocol()
        {
            this.Command = EleMedKitCommand.ResponseReturnMedKit;
            CountFlag = 1.ToString();
        }
        public StateProtocol? State { get; set; }
        public override string GetContent()
        {
            return base.GetContent()
                + State?.ToString()
                + AddLineContent(CountFlag);
        }
    }
}
